---
title: rattler-build rebuild
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](index.md) rebuild

Rebuild a package from a package file instead of a recipe

## Usage
```
rattler-build rebuild [OPTIONS] --package-file <PACKAGE_FILE>
```

## Options
- <a id="arg---package-file" href="#arg---package-file">`--package-file (-p) <PACKAGE_FILE>`</a>
:  The package file to rebuild (can be a local path or URL)
<br>**required**: `true`
- <a id="arg---compression-threads" href="#arg---compression-threads">`--compression-threads <COMPRESSION_THREADS>`</a>
:  The number of threads to use for compression
<br>**env**: `RATTLER_COMPRESSION_THREADS`
- <a id="arg---io-concurrency-limit" href="#arg---io-concurrency-limit">`--io-concurrency-limit <IO_CONCURRENCY_LIMIT>`</a>
:  The number of threads to use for I/O operations when installing packages
<br>**env**: `RATTLER_IO_CONCURRENCY_LIMIT`
- <a id="arg---experimental" href="#arg---experimental">`--experimental`</a>
:  Enable experimental features
<br>**env**: `RATTLER_BUILD_EXPERIMENTAL`
- <a id="arg---v3" href="#arg---v3">`--v3`</a>
:  Enable V3 recipe fields and MatchSpec syntax
- <a id="arg---allow-insecure-host" href="#arg---allow-insecure-host">`--allow-insecure-host <ALLOW_INSECURE_HOST>`</a>
:  List of hosts for which SSL certificate verification should be skipped
<br>May be provided more than once.
- <a id="arg---channel-priority" href="#arg---channel-priority">`--channel-priority <CHANNEL_PRIORITY>`</a>
:  Channel priority to use when solving

## Modifying result
- <a id="arg---test" href="#arg---test">`--test <TEST>`</a>
:  The strategy to use for running tests
<br>**options**: `skip`, `native`, `native-and-emulated`
- <a id="arg---output-dir" href="#arg---output-dir">`--output-dir <OUTPUT_DIR>`</a>
:  Output directory for build artifacts.
<br>**env**: `CONDA_BLD_PATH`
